---
identifier: "SS-2016-006"
package_slug: "packagist/silverstripe/framework"
title: "Missing CSRF protection in login form"
description: "`LoginForm` calls `disableSecurityToken()`, which causes a \"shared
  host domain\" vulnerability."
date: "2016-05-11"
pubdate: "2016-05-11"
affected_range: ">=3.3.0-alpha,<3.3.2-rc1||>=3.2.0-alpha,<3.2.4-rc1||<3.1.19-rc1"
fixed_versions:
- "3.1.19"
- "3.1.19-rc1"
- "3.2.4"
- "3.2.4-rc1"
- "3.3.2"
- "3.3.2-rc1"
affected_versions: "All versions starting from 3.3.0-alpha before 3.3.2-rc1, all versions
  starting from 3.2.0-alpha before 3.2.4-rc1, all versions before 3.1.19-rc1"
solution: "Upgrade to latest version."
urls:
- "http://stackoverflow.com/a/15350123"
- "http://www.silverstripe.org/download/security-releases/ss-2016-006"
- "https://github.com/silverstripe/silverstripe-framework/commit/a6bd22ab2f3b11a054d20be13306a19089510989"
credit: "Anthony Thorpe"
uuid: "46f940bb-8dd2-46a1-b0c0-2828e3510395"
